Joomla 1.5 Проблема с русскими расширениями!

Тема в разделе "Ошибки при работе с Joomla", создана пользователем Lilsaint58, 07.11.2008.

  1. Offline

    Lilsaint58 Недавно здесь

    Регистрация:
    05.11.2008
    Сообщения:
    9
    Симпатии:
    0
    Пол:
    Мужской
    Стоит "Joomla_1.5.7-Stable-Full_Package" . Проблема заключается в том что когда ставлю любое расширение содержащие русский язык, в админке и в дальнейшем на сайте все руские символы отображается знаками вопроса, факи читал кодировки вроде впорядке, и причём это только с расширениями! помогите пожалуст
     
  2.  
  3. Dead Krolik
    Offline

    Dead Krolik специалист

    Регистрация:
    13.04.2007
    Сообщения:
    3 688
    Симпатии:
    101
    Пол:
    Мужской
    А на этих расширениях написано что они подходят под эту версию Joomla?
     
  4. Offline

    Lilsaint58 Недавно здесь

    Регистрация:
    05.11.2008
    Сообщения:
    9
    Симпатии:
    0
    Пол:
    Мужской
    Да, они для 1.5 всё норм, причём все русифицированые расширения которые я ставил выдавали вместо русских символов знаки вопросов, ставил очень много, с версиями точно всё впорядке
     
  5. Dead Krolik
    Offline

    Dead Krolik специалист

    Регистрация:
    13.04.2007
    Сообщения:
    3 688
    Симпатии:
    101
    Пол:
    Мужской
  6. Offline

    Lilsaint58 Недавно здесь

    Регистрация:
    05.11.2008
    Сообщения:
    9
    Симпатии:
    0
    Пол:
    Мужской
    Пожалуйста
     

    Вложения:

  7. Dead Krolik
    Offline

    Dead Krolik специалист

    Регистрация:
    13.04.2007
    Сообщения:
    3 688
    Симпатии:
    101
    Пол:
    Мужской
  8. Offline

    Lilsaint58 Недавно здесь

    Регистрация:
    05.11.2008
    Сообщения:
    9
    Симпатии:
    0
    Пол:
    Мужской
    Ну как так если он ставится и в остальном работает кроме языка?? И ладно допустим он для 1.0 а остальные все тоже чтоли?? я все к которым приписано 1.5 пробывал и нифига
     
  9. Offline

    _voland_ специалист

    Регистрация:
    12.04.2008
    Сообщения:
    2 173
    Симпатии:
    102
    Пол:
    Мужской
    Есть расширения 1,5 Legacy а есть 1,5 Native - первый это в режиме совместимости, то есть фактически 1,0 - и большая вероятность что они в кодировке ANSI написаны, необходимо перекодировать php файлы в кодировку utf-8
     
  10. Dead Krolik
    Offline

    Dead Krolik специалист

    Регистрация:
    13.04.2007
    Сообщения:
    3 688
    Симпатии:
    101
    Пол:
    Мужской
    Lilsaint58, ну мало ли что приписано. Просто перекодировав в utf мы не сделаем его совместимым с joomla 1.5.
     
  11. Offline

    Lilsaint58 Недавно здесь

    Регистрация:
    05.11.2008
    Сообщения:
    9
    Симпатии:
    0
    Пол:
    Мужской
    Ну что сделать что бы заработало? или дайте мне расширений нормальных под 1.5, заранее спасибо
     
  12. OlegM
    Offline

    OlegM Russian Joomla! Team Команда форума

    Регистрация:
    12.04.2007
    Сообщения:
    4 356
    Симпатии:
    370
    Пол:
    Мужской
    Вот сначала уточни точно что в базе, что в языковых файлах
     
  13. Dead Krolik
    Offline

    Dead Krolik специалист

    Регистрация:
    13.04.2007
    Сообщения:
    3 688
    Симпатии:
    101
    Пол:
    Мужской
    >дайте мне
    Неплохо так. Я вот с 1.5 не работаю, а потому даже посоветовать что-либо не смогу. Ищите и да обрящете.
     
  14. Offline

    Lilsaint58 Недавно здесь

    Регистрация:
    05.11.2008
    Сообщения:
    9
    Симпатии:
    0
    Пол:
    Мужской
    В базах всё норм кодировка utf-8. Прикрепите кто нить расширение на 1.5 просто проверить
     
  15. Dead Krolik
    Offline

    Dead Krolik специалист

    Регистрация:
    13.04.2007
    Сообщения:
    3 688
    Симпатии:
    101
    Пол:
    Мужской
    http://extensions.joomla.org/component/option,com_mtree/task,listnew/Itemid,35/
    везде где написано 1.5 Native
     

Поделиться этой страницей

Загрузка...